API7 Docs

Get All Services

GET /v1/services

GET /v1/services

Interactive request editor loads with JavaScript.

Response Body

application/json

curl -X GET "http://127.0.0.1:9090/v1/services"

OK

[
  {
    "has_domain": false,
    "modifiedIndex": 671,
    "key": "/apisix/services/200",
    "createdIndex": 671,
    "value": {
      "upstream": {
        "scheme": "http",
        "hash_on": "vars",
        "pass_host": "pass",
        "type": "roundrobin",
        "nodes": [
          {
            "port": 1980,
            "weight": 1,
            "host": "127.0.0.1"
          }
        ]
      },
      "create_time": 1634552648,
      "id": "200",
      "plugins": {
        "limit-count": {
          "key": "remote_addr",
          "time_window": 60,
          "redis_timeout": 1000,
          "allow_degradation": false,
          "show_limit_quota_header": true,
          "policy": "local",
          "count": 2,
          "rejected_code": 503
        }
      },
      "update_time": 1634552648
    }
  }
]
Complete operation details and schema variants

GET /v1/services

Get All Services

Get all configured services.

Parameters

Responses

  • 200: OK

cURL

curl -X GET 'http://127.0.0.1:9090/v1/services'